Threshold Less Than Value Or Greater Than Value Operations
Thresholding Operations

Replace image pixels less than thresholdLT or greater than thresholdGT with with valueLT or valueGT respectively. More...

## Functions

NppStatus | nppiThreshold_LTValGTVal_8u_C1R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u nThresholdLT, const Npp8u nValueLT, const Npp8u nThresholdGT, const Npp8u nValueGT)
| 1 channel 8-bit unsigned char threshold. More...
NppStatus | nppiThreshold_LTValGTVal_8u_C1IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp8u nThresholdLT, const Npp8u nValueLT, const Npp8u nThresholdGT, const Npp8u nValueGT)
| 1 channel 8-bit unsigned char in place threshold. More...
NppStatus | nppiThreshold_LTValGTVal_16u_C1R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp16u nThresholdLT, const Npp16u nValueLT, const Npp16u nThresholdGT, const Npp16u nValueGT)
| 1 channel 16-bit unsigned short threshold. More...
NppStatus | nppiThreshold_LTValGTVal_16u_C1IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16u nThresholdLT, const Npp16u nValueLT, const Npp16u nThresholdGT, const Npp16u nValueGT)
| 1 channel 16-bit unsigned short in place threshold. More...
NppStatus | nppiThreshold_LTValGTVal_16s_C1R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp16s nThresholdLT, const Npp16s nValueLT, const Npp16s nThresholdGT, const Npp16s nValueGT)
| 1 channel 16-bit signed short threshold. More...
NppStatus | nppiThreshold_LTValGTVal_16s_C1IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16s nThresholdLT, const Npp16s nValueLT, const Npp16s nThresholdGT, const Npp16s nValueGT)
| 1 channel 16-bit signed short in place threshold. More...
NppStatus | nppiThreshold_LTValGTVal_32f_C1R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f nThresholdLT, const Npp32f nValueLT, const Npp32f nThresholdGT, const Npp32f nValueGT)
| 1 channel 32-bit floating point threshold. More...
NppStatus | nppiThreshold_LTValGTVal_32f_C1IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f nThresholdLT, const Npp32f nValueLT, const Npp32f nThresholdGT, const Npp32f nValueGT)
| 1 channel 32-bit floating point in place threshold. More...
NppStatus | nppiThreshold_LTValGTVal_8u_C3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u rThresholdsLT[3], const Npp8u rValuesLT[3], const Npp8u rThresholdsGT[3], const Npp8u rValuesGT[3])
| 3 channel 8-bit unsigned char threshold. More...
NppStatus | nppiThreshold_LTValGTVal_8u_C3IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp8u rThresholdsLT[3], const Npp8u rValuesLT[3], const Npp8u rThresholdsGT[3], const Npp8u rValuesGT[3])
| 3 channel 8-bit unsigned char in place threshold. More...
NppStatus | nppiThreshold_LTValGTVal_16u_C3R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp16u rThresholdsLT[3], const Npp16u rValuesLT[3], const Npp16u rThresholdsGT[3], const Npp16u rValuesGT[3])
| 3 channel 16-bit unsigned short threshold. More...
NppStatus | nppiThreshold_LTValGTVal_16u_C3IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16u rThresholdsLT[3], const Npp16u rValuesLT[3], const Npp16u rThresholdsGT[3], const Npp16u rValuesGT[3])
| 3 channel 16-bit unsigned short in place threshold. More...
NppStatus | nppiThreshold_LTValGTVal_16s_C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp16s rThresholdsLT[3], const Npp16s rValuesLT[3], const Npp16s rThresholdsGT[3], const Npp16s rValuesGT[3])
| 3 channel 16-bit signed short threshold. More...
NppStatus | nppiThreshold_LTValGTVal_16s_C3IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16s rThresholdsLT[3], const Npp16s rValuesLT[3], const Npp16s rThresholdsGT[3], const Npp16s rValuesGT[3])
| 3 channel 16-bit signed short in place threshold. More...
NppStatus | nppiThreshold_LTValGTVal_32f_C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f rThresholdsLT[3], const Npp32f rValuesLT[3], const Npp32f rThresholdsGT[3], const Npp32f rValuesGT[3])
| 3 channel 32-bit floating point threshold. More...
NppStatus | nppiThreshold_LTValGTVal_32f_C3IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f rThresholdsLT[3], const Npp32f rValuesLT[3], const Npp32f rThresholdsGT[3], const Npp32f rValuesGT[3])
| 3 channel 32-bit floating point in place threshold. More...
NppStatus | nppiThreshold_LTValGTVal_8u_AC4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u rThresholdsLT[3], const Npp8u rValuesLT[3], const Npp8u rThresholdsGT[3], const Npp8u rValuesGT[3])
| 4 channel 8-bit unsigned char image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_LTValGTVal_8u_AC4IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp8u rThresholdsLT[3], const Npp8u rValuesLT[3], const Npp8u rThresholdsGT[3], const Npp8u rValuesGT[3])
| 4 channel 8-bit unsigned char in place image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_LTValGTVal_16u_AC4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp16u rThresholdsLT[3], const Npp16u rValuesLT[3], const Npp16u rThresholdsGT[3], const Npp16u rValuesGT[3])
| 4 channel 16-bit unsigned short image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_LTValGTVal_16u_AC4IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16u rThresholdsLT[3], const Npp16u rValuesLT[3], const Npp16u rThresholdsGT[3], const Npp16u rValuesGT[3])
| 4 channel 16-bit unsigned short in place image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_LTValGTVal_16s_AC4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp16s rThresholdsLT[3], const Npp16s rValuesLT[3], const Npp16s rThresholdsGT[3], const Npp16s rValuesGT[3])
| 4 channel 16-bit signed short image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_LTValGTVal_16s_AC4IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16s rThresholdsLT[3], const Npp16s rValuesLT[3], const Npp16s rThresholdsGT[3], const Npp16s rValuesGT[3])
| 4 channel 16-bit signed short in place image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_LTValGTVal_32f_AC4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f rThresholdsLT[3], const Npp32f rValuesLT[3], const Npp32f rThresholdsGT[3], const Npp32f rValuesGT[3])
| 4 channel 32-bit floating point image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_LTValGTVal_32f_AC4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f rThresholdsLT[3], const Npp32f rValuesLT[3], const Npp32f rThresholdsGT[3], const Npp32f rValuesGT[3])
| 4 channel 32-bit floating point in place image threshold, not affecting Alpha. More...

## Detailed Description

Replace image pixels less than thresholdLT or greater than thresholdGT with with valueLT or valueGT respectively.

### Common parameters for nppiThreshold_LTValGTVal non-inplace and inplace functions include:

Parameters

  pSrcDst | In-Place Image Pointer for inplace functions.
  nSrcDstStep | In-Place-Image Line Step for inplace functions.
  pSrc | Source-Image Pointer for non-inplace functions.
  nSrcStep | Source-Image Line Step for non-inplace functions.
  pDst | Destination-Image Pointer for non-inplace functions.
  nDstStep | Destination-Image Line Step for non-inplace functions.
  oSizeROI | Region-of-Interest (ROI).
  nThresholdLT | The thresholdLT value.
  nValueLT | The thresholdLT replacement value.
  nThresholdGT | The thresholdGT value.
  nValueGT | The thresholdGT replacement value.

Returns
  Image Data Related Error Codes, ROI Related Error Codes.

## Function Documentation

NppStatus nppiThreshold_LTValGTVal_16s_AC4IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | rThresholdsLT[3],
|  | const Npp16s | rValuesLT[3],
|  | const Npp16s | rThresholdsGT[3],
|  | const Npp16s | rValuesGT[3]
| ) |  |

4 channel 16-bit signed short in place image threshold, not affecting Alpha.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set value is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | rThresholdsLT[3],
|  | const Npp16s | rValuesLT[3],
|  | const Npp16s | rThresholdsGT[3],
|  | const Npp16s | rValuesGT[3]
| ) |  |

4 channel 16-bit signed short image threshold, not affecting Alpha.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set value is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_16s_C1IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | nThresholdLT,
|  | const Npp16s | nValueLT,
|  | const Npp16s | nThresholdGT,
|  | const Npp16s | nValueGT
| ) |  |

1 channel 16-bit signed short in place threshold.

If for a comparison operations sourcePixel is less than nThresholdLT is true, the pixel is set to nValueLT, else if sourcePixel is greater than nThresholdGT the pixel is set to nValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | nThresholdLT,
|  | const Npp16s | nValueLT,
|  | const Npp16s | nThresholdGT,
|  | const Npp16s | nValueGT
| ) |  |

1 channel 16-bit signed short threshold.

If for a comparison operations sourcePixel is less than nThresholdLT is true, the pixel is set to nValueLT, else if sourcePixel is greater than nThresholdGT the pixel is set to nValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_16s_C3IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | rThresholdsLT[3],
|  | const Npp16s | rValuesLT[3],
|  | const Npp16s | rThresholdsGT[3],
|  | const Npp16s | rValuesGT[3]
| ) |  |

3 channel 16-bit signed short in place threshold.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | rThresholdsLT[3],
|  | const Npp16s | rValuesLT[3],
|  | const Npp16s | rThresholdsGT[3],
|  | const Npp16s | rValuesGT[3]
| ) |  |

3 channel 16-bit signed short threshold.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_16u_AC4IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | rThresholdsLT[3],
|  | const Npp16u | rValuesLT[3],
|  | const Npp16u | rThresholdsGT[3],
|  | const Npp16u | rValuesGT[3]
| ) |  |

4 channel 16-bit unsigned short in place image threshold, not affecting Alpha.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set value is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | rThresholdsLT[3],
|  | const Npp16u | rValuesLT[3],
|  | const Npp16u | rThresholdsGT[3],
|  | const Npp16u | rValuesGT[3]
| ) |  |

4 channel 16-bit unsigned short image threshold, not affecting Alpha.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set value is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_16u_C1IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | nThresholdLT,
|  | const Npp16u | nValueLT,
|  | const Npp16u | nThresholdGT,
|  | const Npp16u | nValueGT
| ) |  |

1 channel 16-bit unsigned short in place threshold.

If for a comparison operations sourcePixel is less than nThresholdLT is true, the pixel is set to nValueLT, else if sourcePixel is greater than nThresholdGT the pixel is set to nValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | nThresholdLT,
|  | const Npp16u | nValueLT,
|  | const Npp16u | nThresholdGT,
|  | const Npp16u | nValueGT
| ) |  |

1 channel 16-bit unsigned short threshold.

If for a comparison operations sourcePixel is less than nThresholdLT is true, the pixel is set to nValueLT, else if sourcePixel is greater than nThresholdGT the pixel is set to nValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_16u_C3IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | rThresholdsLT[3],
|  | const Npp16u | rValuesLT[3],
|  | const Npp16u | rThresholdsGT[3],
|  | const Npp16u | rValuesGT[3]
| ) |  |

3 channel 16-bit unsigned short in place threshold.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | rThresholdsLT[3],
|  | const Npp16u | rValuesLT[3],
|  | const Npp16u | rThresholdsGT[3],
|  | const Npp16u | rValuesGT[3]
| ) |  |

3 channel 16-bit unsigned short threshold.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_32f_AC4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | rThresholdsLT[3],
|  | const Npp32f | rValuesLT[3],
|  | const Npp32f | rThresholdsGT[3],
|  | const Npp32f | rValuesGT[3]
| ) |  |

4 channel 32-bit floating point in place image threshold, not affecting Alpha.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set value is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | rThresholdsLT[3],
|  | const Npp32f | rValuesLT[3],
|  | const Npp32f | rThresholdsGT[3],
|  | const Npp32f | rValuesGT[3]
| ) |  |

4 channel 32-bit floating point image threshold, not affecting Alpha.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set value is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_32f_C1IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | nThresholdLT,
|  | const Npp32f | nValueLT,
|  | const Npp32f | nThresholdGT,
|  | const Npp32f | nValueGT
| ) |  |

1 channel 32-bit floating point in place threshold.

If for a comparison operations sourcePixel is less than nThresholdLT is true, the pixel is set to nValueLT, else if sourcePixel is greater than nThresholdGT the pixel is set to nValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | nThresholdLT,
|  | const Npp32f | nValueLT,
|  | const Npp32f | nThresholdGT,
|  | const Npp32f | nValueGT
| ) |  |

1 channel 32-bit floating point threshold.

If for a comparison operations sourcePixel is less than nThresholdLT is true, the pixel is set to nValueLT, else if sourcePixel is greater than nThresholdGT the pixel is set to nValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_32f_C3IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | rThresholdsLT[3],
|  | const Npp32f | rValuesLT[3],
|  | const Npp32f | rThresholdsGT[3],
|  | const Npp32f | rValuesGT[3]
| ) |  |

3 channel 32-bit floating point in place threshold.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | rThresholdsLT[3],
|  | const Npp32f | rValuesLT[3],
|  | const Npp32f | rThresholdsGT[3],
|  | const Npp32f | rValuesGT[3]
| ) |  |

3 channel 32-bit floating point threshold.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_8u_AC4IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | rThresholdsLT[3],
|  | const Npp8u | rValuesLT[3],
|  | const Npp8u | rThresholdsGT[3],
|  | const Npp8u | rValuesGT[3]
| ) |  |

4 channel 8-bit unsigned char in place image threshold, not affecting Alpha.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set value is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | rThresholdsLT[3],
|  | const Npp8u | rValuesLT[3],
|  | const Npp8u | rThresholdsGT[3],
|  | const Npp8u | rValuesGT[3]
| ) |  |

4 channel 8-bit unsigned char image threshold, not affecting Alpha.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set value is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_8u_C1IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | nThresholdLT,
|  | const Npp8u | nValueLT,
|  | const Npp8u | nThresholdGT,
|  | const Npp8u | nValueGT
| ) |  |

1 channel 8-bit unsigned char in place threshold.

If for a comparison operations sourcePixel is less than nThresholdLT is true, the pixel is set to nValueLT, else if sourcePixel is greater than nThresholdGT the pixel is set to nValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | nThresholdLT,
|  | const Npp8u | nValueLT,
|  | const Npp8u | nThresholdGT,
|  | const Npp8u | nValueGT
| ) |  |

1 channel 8-bit unsigned char threshold.

If for a comparison operations sourcePixel is less than nThresholdLT is true, the pixel is set to nValueLT, else if sourcePixel is greater than nThresholdGT the pixel is set to nValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_8u_C3IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | rThresholdsLT[3],
|  | const Npp8u | rValuesLT[3],
|  | const Npp8u | rThresholdsGT[3],
|  | const Npp8u | rValuesGT[3]
| ) |  |

3 channel 8-bit unsigned char in place threshold.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

NppStatus nppiThreshold_LTValGTVal_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | rThresholdsLT[3],
|  | const Npp8u | rValuesLT[3],
|  | const Npp8u | rThresholdsGT[3],
|  | const Npp8u | rValuesGT[3]
| ) |  |

3 channel 8-bit unsigned char threshold.

If for a comparison operations sourcePixel is less than rThresholdLT is true, the pixel is set to rValueLT, else if sourcePixel is greater than rThresholdGT the pixel is set to rValueGT, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_LTValGTVal functions.

Copyright © 2009-2017 NVIDIA Corporation